org.keycloak.common.util

## Class KerberosJdkProvider

- java.lang.Object
- - org.keycloak.common.util.KerberosJdkProvider

-     public abstract class KerberosJdkProvider
      extends Object

  Provides abstraction to handle differences between various JDK vendors (Sun, IBM)
  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KerberosJdkProvider()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Configuration` | `createJaasConfigurationForServer(String keytab, String serverPrincipal, boolean debug)`
    `abstract Configuration` | `createJaasConfigurationForUsernamePasswordLogin(boolean debug)`
    `static KerberosJdkProvider` | `getProvider()`
    `abstract KerberosTicket` | `gssCredentialToKerberosTicket(KerberosTicket kerberosTicket, GSSCredential gssCredential)`
    `GSSCredential` | `kerberosTicketToGSSCredential(KerberosTicket kerberosTicket)`
    `GSSCredential` | `kerberosTicketToGSSCredential(KerberosTicket kerberosTicket, int lifetime, int usage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KerberosJdkProvider

          public KerberosJdkProvider()

  - ### Method Detail

    - #### createJaasConfigurationForServer

          public abstract Configuration createJaasConfigurationForServer(String keytab,
                                                                         String serverPrincipal,
                                                                         boolean debug)

    - #### createJaasConfigurationForUsernamePasswordLogin

          public abstract Configuration createJaasConfigurationForUsernamePasswordLogin(boolean debug)

    - #### gssCredentialToKerberosTicket

          public abstract KerberosTicket gssCredentialToKerberosTicket(KerberosTicket kerberosTicket,
                                                                       GSSCredential gssCredential)

    - #### kerberosTicketToGSSCredential

          public GSSCredential kerberosTicketToGSSCredential(KerberosTicket kerberosTicket)

    - #### kerberosTicketToGSSCredential

          public GSSCredential kerberosTicketToGSSCredential(KerberosTicket kerberosTicket,
                                                             int lifetime,
                                                             int usage)

    - #### getProvider

          public static KerberosJdkProvider getProvider()

Copyright © 2016 JBoss by Red Hat. All rights reserved.